Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class SessionTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.SessionTimeoutException

All Implemented Interfaces
  Serializable

    public class SessionTimeoutException

extends CollaborationException

Exception class that means that the session timed out on the backend server.

See Also
  Serialized Form

Constructor Summary
`SessionTimeoutException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey)` Constructs a SessionTimeoutException.
`SessionTimeoutException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param)` Constructs a SessionTimeoutException.
`SessionTimeoutException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey)` Constructs a SessionTimeoutException.
`SessionTimeoutException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param)` Constructs a SessionTimeoutException.

Method Summary

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionTimeoutException

    public SessionTimeoutException(com.compoze.collab.spi.Context ctx,
                                   com.compoze.collab.spi.ExceptionResourceKey baseKey)

  Constructs a SessionTimeoutException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key

### SessionTimeoutException

    public SessionTimeoutException(com.compoze.collab.spi.Context ctx,
                                   com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                   Object param)

  Constructs a SessionTimeoutException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter

### SessionTimeoutException

    public SessionTimeoutException(Throwable t,
                                   com.compoze.collab.spi.Context ctx,
                                   com.compoze.collab.spi.ExceptionResourceKey baseKey)

  Constructs a SessionTimeoutException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key

### SessionTimeoutException

    public SessionTimeoutException(Throwable t,
                                   com.compoze.collab.spi.Context ctx,
                                   com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                   Object param)

  Constructs a SessionTimeoutException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved